Gatana logoGatana Docs
RoutesTeamsTeamidClaim mappings

/teams/{teamId}/claim-mappings

Create a claim mapping that gives membership of a team to users with a matching identity provider claim

POST
/teams/{teamId}/claim-mappings
AuthorizationBearer <token>

In: header

Path Parameters

teamId*string

ID of the team

Request Body

application/json

claimKey*string

Name of the identity provider claim to match

Length1 <= length <= 255
claimValue*string

Claim value that gives membership when it matches

Length1 <= length <= 255

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/teams/string/claim-mappings" \  -H "Content-Type: application/json" \  -d '{    "claimKey": "string",    "claimValue": "string"  }'
{
  "claimMapping": {
    "id": "string",
    "tenantId": "string",
    "teamId": "string",
    "claimKey": "string",
    "claimValue": "string",
    "createdAt": "string"
  }
}